Set AES encryption key for data in Memcached

- « Memcached::setByKey

- Memcached::setMulti »

- PHP Manual
- Memcached
- Set AES encryption key for data in Memcached

# Memcached::setEncodingKey

(PECL memcached >= 3.1.0)

Memcached::setEncodingKey — Set AES encryption key for data in Memcached

### Description

public Memcached::setEncodingKey(string `$key`): bool

This method sets the AES encryption/decryption key for data written to and read from Memcached.

### Parameters

`key`
  The AES key.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- Memcached::get() - Retrieve an item
- Memcached::add() - Add an item under a new key
- Memcached::set() - Store an item